Subject: Re: libbpf distro packaging

From: Jiri Olsa <[email-masked]>
Date: Thu, 3 Oct 2019 13:10:29 +0200

On Thu, Oct 03, 2019 at 12:50:08AM +0000, Julia Kartseva wrote:
> Hi Jiri, 
> 
> v0.0.5 is out: [1] which brings questions regarding further maintenance 
> of rpm. 
> Who'll maintain the most recent version of rpm up-to-date? 

I will do that on fedora/rhel side now

> Are you looking into making the procedure automated and do you need any 
> help from the side of libbpf devs if so? In particular, we can have the *.spec file
> in GH mirror synchronized with the most recent tag so you can take it from the 
> mirror along with tarball.

some notification of new tag/sync would be great

the spec file update is not a big deal because I need to do its
changelog update anyway.. but I can put the fedora rpm spec in
GH repo for reference, I will do a pull request for that

jirka

> Thanks! 
> 
> [1] https://github.com/libbpf/libbpf/releases/tag/v0.0.5
> 
> On 9/30/19, 11:18 AM, "Julia Kartseva" <[email-masked]> wrote:
> 
> > Thank you Jiri, that's great news.
> >
> > > On 9/30/19, 4:13 AM, "Jiri Olsa" <[email-masked]> wrote:
> > >
> > > heya,
> > > FYI we got it through.. there's libbpf-0.0.3 available on fedora 30/31/32
> > > I'll update to 0.0.5 version as soon as there's the v0.0.5 tag available
> 
> 
>